@echo off
rem ---------------------------------------------------------------------------
rem For Microsoft Windows
rem
rem Start for the MM3-Indexer
rem
rem   JAVA_JRE   This environment variable must point to your Java Virtuale Machine (JRE).
rem              example:  SET JAVA_JRE="c:\program\sun\jre1.4\bin\java.exe"

SET JAVA_JRE=java.exe

rem    At problems: Change to the directory which contains the file MM3-WebAssistant.jar.
rem d:
rem cd \MM3-WebAssistantProfessional\


%JAVA_JRE% -Xmx200M -jar MM3-WebAssistant.jar indexer

rem If the Indexer needs more memory, you can increase this.
rem You provide 200 Mega Byte of the RAM memory with the parameter -Xmx200M.

rem Benötigt der Indexer mehr Speicher können Sie diesen erhöhen. 
rem Mit -Xmx200M stellen Sie 200 Mega Byte des RAM-Speichers zur Verfügung.


rem better for win xp
if errorlevel 255 if not errorlevel 256 goto end

rem better for win 9x
rem if errorlevel 255 goto end

rem for all version
if errorlevel 130 if not errorlevel 131 goto end

:noJava
echo ---
echo Java isn't installed   
echo or the environment variable is not defined correctly.
echo Please install Java or define the environment variable in this batch-file.
echo .
echo You find downloads for Java locally:
echo documentation/professional/en/getJava.html

start documentation/professional/en/getJava.html
pause > nul

:end
